# intertechno-cc1101

Python Library & Command Line Tool to Switch
[Intertechno Outlets](https://www.intertechno.at/)
via [CC1101 Transceivers](https://www.ti.com/product/CC1101)

## Requirements

* [Intertechno](https://www.intertechno.at/) smart outlet
* [CC1101 transceiver](https://www.ti.com/product/CC1101)
* Linux machine with CC1101 connected to SPI port
  ([wiring instructions](https://github.com/fphammerle/python-cc1101#wiring-raspberry-pi)
  for raspberry pi)

## Setup

```sh
$ pip3 install --user --upgrade git+https://git.hammerle.me/fphammerle/intertechno-cc1101
```

On Raspbian / Raspberry Pi OS, dependencies can optionally be installed via:
```sh
$ sudo apt-get install --no-install-recommends python3-spidev
```

## Usage

### Command-line

```sh
$ intertechno-cc1101 --address 12345678 --button-index 0 --turn-on
```

### Python Library

```python
import intertechno_cc1101

remote_control = intertechno_cc1101.RemoteControl(address=12345678)
remote_control.turn_on(button_index=0)
```
