import pytest

import intertechno_cc1101

# pylint: disable=protected-access


@pytest.mark.parametrize(
    ("message", "payload"),
    (
        (
            (12345678 << 6) | (0b01 << 4) | 0b0000,
            b"\x04\x00\xa0\xa0\x82\xa0\x82\x82\x82\x82\xa0\xa0\xa0\x82\x82\xa0\xa0"
            b"\xa0\xa0\x82\xa0\x82\xa0\xa0\x82\x82\x82\xa0\xa0\x82\xa0\xa0\xa0\xa0\x80",
        ),
        (
            (12345678 << 6) | (0b00 << 4) | 0b0111,
            b"\x04\x00\xa0\xa0\x82\xa0\x82\x82\x82\x82\xa0\xa0\xa0\x82\x82\xa0\xa0"
            b"\xa0\xa0\x82\xa0\x82\xa0\xa0\x82\x82\x82\xa0\xa0\xa0\xa0\x82\x82\x82\x80",
        ),
    ),
)
def test__encode_message(message, payload):
    assert intertechno_cc1101._encode_message(message) == payload
